diff --git a/src/hirlite.c b/src/hirlite.c
index f11101d..b2c9eb5 100644
--- a/src/hirlite.c
+++ b/src/hirlite.c
@@ -8,6 +8,7 @@
 #include <string.h>
 #include <strings.h>
 #include <sys/time.h>
+#define __need_timespec
 #include <time.h>
 #include <unistd.h>
 
